Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.plugin
Class ColorPicker

    java.lang.Object
      ij.ImagePlus
          ij.plugin.ColorPicker

All Implemented Interfaces:
  java.awt.image.ImageObserver, Measurements, PlugIn

public class ColorPicker
extends ImagePlus
implements PlugIn

Implements the Image/Color/Color Picker command.

Field Summary

Fields inherited from class ij.ImagePlus
`changes, CLOSED, COLOR_256, COLOR_RGB, compositeImage, currentSlice, GRAY16, GRAY32, GRAY8, height, img, ip, locked, OPENED, pixelHeight, pixelWidth, roi, sCalibrated, unit, units, UPDATED, width, win`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Fields inherited from interface ij.measure.Measurements
`AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, PERIMETER, RECT, SKEWNESS, SLICE, STD_DEV`

Constructor Summary
`ColorPicker()`

Method Summary
`void` | `run(java.lang.String arg)` This method is called when the plugin is loaded.
`void` | `show()` Overrides ImagePlus.show().

Methods inherited from class ij.ImagePlus
`addImageListener, close, copy, copyScale, createEmptyStack, createImagePlus, createLut, createNewRoi, draw, draw, flush, getBitDepth, getCalibration, getCanvas, getChannelProcessor, getClipboard, getCurrentSlice, getDimensions, getFileInfo, getGlobalCalibration, getHeight, getID, getImage, getImageStack, getImageStackSize, getLocalCalibration, getLocationAsString, getMask, getNChannels, getNFrames, getNSlices, getOriginalFileInfo, getPixel, getProcessor, getProperties, getProperty, getRoi, getShortTitle, getStack, getStackSize, getStartTime, getStatistics, getStatistics, getStatistics, getStatistics, getTitle, getType, getWidth, getWindow, hide, imageUpdate, isInvertedLut, isLocked, isProcessor, killProcessor, killRoi, killStack, lock, lockSilently, mouseMoved, notifyListeners, paste, removeImageListener, repaintWindow, resetClipboard, restoreRoi, revert, saveRoi, setActivated, setCalibration, setColor, setDimensions, setFileInfo, setGlobalCalibration, setIgnoreFlush, setImage, setProcessor, setProperty, setRoi, setRoi, setRoi, setSlice, setStack, setTitle, setType, setWindow, show, startTiming, toString, trimProcessor, unlock, updateAndDraw, updateAndRepaintWindow, updateChannelAndDraw, updateImage, updateStatusbarValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorPicker

    public ColorPicker()

Method Detail

### run

    public void run(java.lang.String arg)

  Description copied from interface: `PlugIn`
  This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

  Specified by:
    `run` in interface `PlugIn`

### show

    public void show()

  Overrides ImagePlus.show().

  Overrides:
    `show` in class `ImagePlus`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD